camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Pocock <dan...@pocock.pro>
Subject Re: Update camel-smpp dependency on jsmpp to 2.2.1
Date Wed, 06 Jul 2016 10:42:26 GMT


On 11/05/16 17:51, Bari Rid wrote:
> jsmpp version 2.2.0 contains a correction concerning responding correctly to failed DeliverSM
as can be seen here:
> https://github.com/opentelecoms-org/jsmpp/commit/575eec44ebf51077870d45385392e30a29c6dfe3
> 
> The change is made particularly in the file SMPPSessionBoundRX.java when handling PDUStringException
and ProcessRuest exception
> 
> Currently we need to add this dependency explicitly to any new project.
> 


Last time I looked at changing from jSMPP 2.1.x to 2.2.x, I found that
it required various changes on the camel-smpp component.  I think I
started that work in a branch but didn't finish it so it wasn't merged.
 Somebody else is welcome to continue working on that branch.

If the change is urgent, it could be cherry-picked into the jSMPP 2.1.x
branch and a new jSMPP 2.1.x release could be made for it.

Regards,

Daniel

Mime
View raw message